DRM_DP_MST_DETECT_PO(9)

NAME
drm_dp_mst_detect_port - get connection status for an MST port

SYNOPSIS

enum drm_connector_status drm_dp_mst_detect_port(struct drm_connector * connector, struct drm_dp_mst_topology_mgr * mgr, struct drm_dp_mst_port * port);

ARGUMENTS

connector
    -- undescribed --

mgr
    manager for this port

port
    unverified pointer to a port

DESCRIPTION

This returns the current connection state for a port. It validates the port pointer still exists so the caller doesn't require a reference

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT